<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [EventEmitter](./puppeteer.eventemitter.md) &gt; [once](./puppeteer.eventemitter.once.md)

## EventEmitter.once() method

Like `on` but the listener will only be fired once and then it will be removed.

<b>Signature:</b>

```typescript
once(event: EventType, handler: Handler): EventEmitter;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | EventType | the event you'd like to listen to |
|  handler | Handler | the handler function to run when the event occurs |

<b>Returns:</b>

[EventEmitter](./puppeteer.eventemitter.md)

`this` to enable you to chain calls.

